Jump to content

MediaWiki:Common.css: Difference between revisions

From The Final Nights
No edit summary
No edit summary
Line 2: Line 2:
@import url('https://fonts.googleapis.com/css2?family=Cinzel+Decorative:wght@400;700;900&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Cinzel+Decorative:wght@400;700;900&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Cinzel:wght@400..900&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Cinzel:wght@400..900&display=swap');
/* Infoboxes */
/* Infobox */
.infobox {
.infobox,
border: 1px solid #a2a9b1;
.infobox th,
color: black;
.infobox td,
padding: 0.2em;
.infobox tr {
font-size: 88%;
    border: 0 !important;
line-height: 1.5em;
    border-style: none !important;
border-spacing: 3px;
    outline: none !important;
margin: 0.5em 0;
    background: transparent !important;
    background-color: transparent !important;
    box-shadow: none !important;
}
}


@media screen {
table.infobox {
.infobox {
    border: 1px solid #a2a9b1 !important;
background-color: var(--background-color-neutral-subtle, #f8f9fa);
    background-color: #f8f9fa !important;
     }
     border-collapse: collapse !important;
}
}


@media (max-width: 640px) {
.infobox-separator {
.infobox {
     border-top: 1px solid #aaa !important;
width: 100%;
}
      
.infobox .nowrap {
white-space: normal;
}
}
}


@media (min-width: 640px) {
.infobox-header {
.infobox {
    background-color: #cedff2 !important;
/* @noflip */
margin-left: 1em;
/* @noflip */
float: right;
/* @noflip */
clear: right;
width: 22em;
}
}
 
.infobox-header,
.infobox-label,
.infobox-above,
.infobox-full-data,
.infobox-data,
.infobox-below,
.infobox-subheader,
.infobox-image,
.infobox-navbar,
/* Remove element selector when every .infobox thing is using the standard module/templates  */
.infobox th,
.infobox td {
vertical-align: top;
}
 
.infobox-label,
.infobox-data,
/* Remove element selector when every .infobox thing is using the standard module/templates  */
.infobox th,
.infobox td {
/* @noflip */
text-align: left;
}
 
/* Remove .infobox when element selectors above are removed */
.infobox .infobox-above,
.infobox .infobox-title,
/* Remove element selector when every .infobox thing is using the standard module/templates  */
.infobox caption {
font-size: 125%;
font-weight: bold;
text-align: center;
}
 
.infobox-title,
/* Remove element selector when every .infobox thing is using the standard module/templates  */
.infobox caption {
padding: 0.2em;
}
 
/* Remove .infobox when element selectors above are removed */
.infobox .infobox-header,
.infobox .infobox-subheader,
.infobox .infobox-image,
.infobox .infobox-full-data,
.infobox .infobox-below {
text-align: center;
}
 
/* Remove .infobox when element selectors above are removed */
.infobox .infobox-navbar {
/* @noflip */
text-align: right;
}
}

Revision as of 17:42, 13 May 2026

/* CSS placed here will be applied to all skins */
@import url('https://fonts.googleapis.com/css2?family=Cinzel+Decorative:wght@400;700;900&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Cinzel:wght@400..900&display=swap');
/* Infobox */
.infobox, 
.infobox th, 
.infobox td, 
.infobox tr {
    border: 0 !important;
    border-style: none !important;
    outline: none !important;
    background: transparent !important;
    background-color: transparent !important;
    box-shadow: none !important;
}

table.infobox {
    border: 1px solid #a2a9b1 !important;
    background-color: #f8f9fa !important;
    border-collapse: collapse !important;
}

.infobox-separator {
    border-top: 1px solid #aaa !important;
}

.infobox-header {
    background-color: #cedff2 !important;
}